
# MugBit CLI

MugBit CLI involves creating a versatile document generation system with dynamic placeholders. Users can create customizable templates with placeholders, which are then extracted. The placeholders' values are obtained from the user through input prompts and used to fill the placeholders using an AI API. The resulting data is inserted into the document, and the final document is generated and saved. This allows users to dynamically tailor document content by interacting with an AI-based system through a user-friendly interface.

MugBit CLI relies on leveraging Artificial Intelligence for the creation of documents, PowerPoint presentations, and template filling. Our goal is to simplify, ease, and enhance the user experience, making their lives more convenient. MugBit CLI relies on Python as its underlying framework, with the backbone of its functionality deriving from the potent Gemini AI by Google.


## API Reference

#### Gemini A. I. API Key

```http
  GET https://generativelanguage.googleapis.com/v1beta/models/gemini-pro:generateContent?key=exampleapikey
```

#### chatGPT A. I. API Key

```http
  GET https://api.openai.com/v1/chat/completions
```

## Installation

Install my-project with npm

```bash
  pip install aidocumentgenerator
```
    
## Demo

First Create Your MS Document (.docx file) and provide the content and anything you want to fill up with the response from the A.I.!

For example:-
Hello world.docx 

===============================

Following is the Content from A.I.:-

{{ aiData }}

===============================

Import the package `aidocumentgenerator` and then call the method `create_ai_document(path/to/your/template.docx, path/to/save/generated/file/output.docx)`

For example:-

create_ai_document("D:/template/Hello world.docx", "D:/output/output.docx")

Run the file by python filename.py! Provide the prompt for placeholder in the document `aiData` for example "Write a hello world programmer" program in python and your document will be get saved on your output folder by name output.docx